Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ComponentType

Component Type
Contained in: global
Derived from: none
Derived by: none
Group: GUI (Framework)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_ComponentType` | `(`bool` `_is_container`)`;
``virtual`` | `~CL_ComponentType` | `()`;
``virtual` `CL_Component`*` | `create_component` | `(`CL_Component`* `parent`, `CL_StyleManager`* `style`)`;

### Attributes:

``virtual` `bool`` | `is_container` | `() `const``;
``virtual` `bool`` | `has_option` | `(`const` `std::string`& `option_name`) `const``;

## Description:

## Function Member Descriptions:

CL_ComponentType::CL_ComponentType - Component Type Constructor
`` `CL_ComponentType` `(`bool` `_is_container`)`;

CL_ComponentType::create_component - Create component
``virtual` `CL_Component`*` `create_component` `(`CL_Component`* `parent`, `CL_StyleManager`* `style`)`;

CL_ComponentType::has_option - Has option
``virtual` `bool`` `has_option` `(`const` `std::string`& `option_name`) `const``;

CL_ComponentType::is_container - Is container
``virtual` `bool`` `is_container` `() `const``;

CL_ComponentType::~CL_ComponentType - Component Type Destructor
``virtual`` `~CL_ComponentType` `()`;

## Variable Member Descriptions: